import Vue from 'vue';
import Router from 'vue-router';
import HomeView from '../views/HomeView.vue';
import Chat from '../views/Chat.vue';
import Login from '../views/Login.vue';
import Sidebar from '../views/Sidebar.vue';
import MainContent from '../views/MainContent.vue';

Vue.use(Router);

export default new Router({
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView,
    },
    {
      path: '/login',
      name: 'login',
      component: Login,
    },
    {
      path: '/chat',
      name: 'chat',
      component: Chat,
    },
    {
      path: '/sidebar',
      name: 'sidebar',
      component: Sidebar,
    },
    {
      path: '/main',
      name: 'main',
      component: MainContent,
    },
  ],
});

